Subject: [multipathtcp] potential MPTCP proxy charter item

From: <[email-masked]>
Date: Mon, 8 Aug 2016 09:49:53 +0000

I had thought a potential charter item could be something on the lines of:

<Experimental Extensions to the MPTCP protocol to enable an MPTCP-aware middlebox to act as an MPTCP proxy for an end host, which runs TCP. One or both end hosts may be MPTCP-unaware, and the MPTCP proxy(s) is (are) not necessarily on the default routing path(s). The working group will also detail, in an Informational document, the use cases /deployment scenarios and the operational considerations.>
However, if I get the discussion right, this is not quite right.
* assume a controlled environment (to avoid a problem where the message reaches the 'wrong' proxy) (IETF usually prefers generally applicable protocols)
* assume some (?additional) 'header swapping' protocol and a new signalling protocol (not an mptcp extension - so probably in INTAREA WG's remit)

If the above is roughly right, then I think some extra work is needed before we can get a clear charter item. Can some of the work that isn't mptcp extensions be cleanly separated out? Can you be clear what deployment assumptions are being made (and preferably reduce them, so there is wider applicability). Personally I'd also find it very helpful if the plain/transparent 'merged' draft could try and follow the guidance about protocol models in RFC4101 (personally I found the plain mode doc difficult to understand).

Thanks
phil